SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Blackboard Vendors:   Blackboard
Blackboard Academic Suite Input Validation Flaws Permit Cross-Site Request Forgery Attacks
SecurityTracker Alert ID:  1020559
SecurityTracker URL:  http://securitytracker.com/id/1020559
CVE Reference:   CVE-2008-3421   (Links to External Site)
Updated:  Aug 6 2008
Original Entry Date:  Jul 25 2008
Impact:   Modification of user information
Exploit Included:  Yes  
Version(s): 8.0.260.7; possibly other versions
Description:   A vulnerability was reported in Blackboard Academic Suite. A remote user can conduct cross-site request forgery attacks.

The web interface does not properly validate user-supplied requests. A remote user can create specially crafted HTML that, when loaded by a target user, will submit arbitrary data to the target site and take actions on the site acting as the target user.

The 'update_module.jsp', 'enroll_course.pl', and 'unenroll.jsp' scripts are affected. Other scripts may also be affected.

The original advisory and demonstration exploit is available at:

http://ceaseless.ws/bb-csrf/

Mark Janssen reported this vulnerability.

Impact:   A remote user can cause arbitrary data to be submitted to the target site to take actions on the site acting as the target user.
Solution:   No solution was available at the time of this entry.
Vendor URL:  www.blackboard.com/ (Links to External Site)
Cause:   Input validation error
Underlying OS:  Linux (Red Hat Enterprise), Linux (Red Hat Linux), UNIX (Solaris - SunOS), Windows (2000), Windows (2003)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC